Package com.independentsoft.office.word.tables

# Class TableStyleConditionalFormatting

java.lang.Object
com.independentsoft.office.word.tables.TableStyleConditionalFormatting

public class TableStyleConditionalFormatting extends Object
The Class TableStyleConditionalFormatting.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TableStyleConditionalFormatting()`
  Instantiates a new table style conditional formatting.
  `TableStyleConditionalFormatting​(String value)`
  Instantiates a new table style conditional formatting.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TableStyleConditionalFormatting`
  `clone()`
  `boolean`
  `isApplyFirstColumn()`
  Checks if is apply first column.
  `boolean`
  `isApplyFirstRow()`
  Checks if is apply first row.
  `boolean`
  `isApplyLastColumn()`
  Checks if is apply last column.
  `boolean`
  `isApplyLastRow()`
  Checks if is apply last row.
  `boolean`
  `isDoNotApplyColumnBanding()`
  Checks if is do not apply column banding.
  `boolean`
  `isDoNotApplyRowBanding()`
  Checks if is do not apply row banding.
  `void`
  `setApplyFirstColumn​(boolean applyFirstColumn)`
  Sets the apply first column.
  `void`
  `setApplyFirstRow​(boolean applyFirstRow)`
  Sets the apply first row.
  `void`
  `setApplyLastColumn​(boolean applyLastColumn)`
  Sets the apply last column.
  `void`
  `setApplyLastRow​(boolean applyLastRow)`
  Sets the apply last row.
  `void`
  `setDoNotApplyColumnBanding​(boolean doNotApplyColumnBanding)`
  Sets the do not apply column banding.
  `void`
  `setDoNotApplyRowBanding​(boolean doNotApplyRowBanding)`
  Sets the do not apply row banding.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TableStyleConditionalFormatting

    public TableStyleConditionalFormatting()
    Instantiates a new table style conditional formatting.

  - ### TableStyleConditionalFormatting

    public TableStyleConditionalFormatting​(String value)
    Instantiates a new table style conditional formatting.
    Parameters:
      `value` - the value

- ## Method Details

  - ### clone

    public TableStyleConditionalFormatting clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isApplyFirstRow

    public boolean isApplyFirstRow()
    Checks if is apply first row.
    Returns:
      true, if is apply first row

  - ### setApplyFirstRow

    public void setApplyFirstRow​(boolean applyFirstRow)
    Sets the apply first row.
    Parameters:
      `applyFirstRow` - the new apply first row

  - ### isApplyLastRow

    public boolean isApplyLastRow()
    Checks if is apply last row.
    Returns:
      true, if is apply last row

  - ### setApplyLastRow

    public void setApplyLastRow​(boolean applyLastRow)
    Sets the apply last row.
    Parameters:
      `applyLastRow` - the new apply last row

  - ### isApplyFirstColumn

    public boolean isApplyFirstColumn()
    Checks if is apply first column.
    Returns:
      true, if is apply first column

  - ### setApplyFirstColumn

    public void setApplyFirstColumn​(boolean applyFirstColumn)
    Sets the apply first column.
    Parameters:
      `applyFirstColumn` - the new apply first column

  - ### isApplyLastColumn

    public boolean isApplyLastColumn()
    Checks if is apply last column.
    Returns:
      true, if is apply last column

  - ### setApplyLastColumn

    public void setApplyLastColumn​(boolean applyLastColumn)
    Sets the apply last column.
    Parameters:
      `applyLastColumn` - the new apply last column

  - ### isDoNotApplyRowBanding

    public boolean isDoNotApplyRowBanding()
    Checks if is do not apply row banding.
    Returns:
      true, if is do not apply row banding

  - ### setDoNotApplyRowBanding

    public void setDoNotApplyRowBanding​(boolean doNotApplyRowBanding)
    Sets the do not apply row banding.
    Parameters:
      `doNotApplyRowBanding` - the new do not apply row banding

  - ### isDoNotApplyColumnBanding

    public boolean isDoNotApplyColumnBanding()
    Checks if is do not apply column banding.
    Returns:
      true, if is do not apply column banding

  - ### setDoNotApplyColumnBanding

    public void setDoNotApplyColumnBanding​(boolean doNotApplyColumnBanding)
    Sets the do not apply column banding.
    Parameters:
      `doNotApplyColumnBanding` - the new do not apply column banding